/* main-content styling section*/
.main-content-heading {
  font-size: 1.5rem;
  font-weight: bold;
  height: 15%;
  display: flex;
  align-items: center;
}
.main-content {
  width: 70%;
  height: fit-content;
  display: flex;
  flex-direction: column;
  gap: 1em;
}
/* Start of first main-content */
.card-container {
  height: fit-content;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 1em;
}
.card-wrapper {
  width: 15vmax;
  max-height: 10.5vmax;
  position: relative;
  flex-grow: 1;
}
.card-wrapper::before {
  content: "";
  z-index: -1;
  position: absolute;
  inset: 0;
}
.card {
  width: 100%;
  height: 100%;
  border-radius: inherit;
  overflow: hidden;
  border-radius: 10px;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  -ms-border-radius: 10px;
  -o-border-radius: 10px;
}
.card .img-content {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: scale 0.6s, rotate 0.6s, filter 1s;
}
.card .img-content img {
  width: 100%;
}
.card .content {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  color: #e8e8e8;
  padding: 20px;
  line-height: 1.5;
  border-radius: 5px;
  opacity: 0;
  pointer-events: none;
  transform: translateY(50px);
  transition: all 0.6s cubic-bezier(0.23, 1, 0.32, 1);
  -webkit-transform: translateY(50px);
  -moz-transform: translateY(50px);
  -ms-transform: translateY(50px);
  -o-transform: translateY(50px);
  -webkit-transition: all 0.6s cubic-bezier(0.23, 1, 0.32, 1);
  -moz-transition: all 0.6s cubic-bezier(0.23, 1, 0.32, 1);
  -ms-transition: all 0.6s cubic-bezier(0.23, 1, 0.32, 1);
  -o-transition: all 0.6s cubic-bezier(0.23, 1, 0.32, 1);
}
.card .content .heading {
  font-size: 0.8rem;
  font-weight: 700;
}
.card:hover .content {
  opacity: 1;
  transform: translateY(0);
  -webkit-transform: translateY(0);
  -moz-transform: translateY(0);
  -ms-transform: translateY(0);
  -o-transform: translateY(0);
}
.card:hover .img-content {
  scale: 1.1;
  filter: blur(5px);
  -webkit-filter: blur(5px);
}
/* End of first main-content and start of second main-content*/
.grid-gallery {
  display: grid;
  grid-template-rows: repeat(4, 7em);
  grid-template-columns: repeat(4, 1fr);
  grid-auto-flow: dense;
  gap: 1em;
}
.img-landscape {
  grid-column-end: span 2;
}
.img-square-lg {
  grid-row-end: span 2;
  grid-column-end: span 2;
}
.card-image {
  width: 100%;
  height: 100%;
  position: relative;
}
.card-img {
  text-align: center;
  width: 100%;
  height: 100%;
  color: black;
  font-weight: bold;
}
.card-img > img {
  width: inherit;
  height: inherit;
  object-fit: cover;
  border-radius: 10px;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  -ms-border-radius: 10px;
  -o-border-radius: 10px;
}
.card-details > label {
  font-size: 0.8rem;
}
.card-details > p {
  font-size: 0.5rem;
  margin-top: 0.5em;
}
.card-details > label {
  font-weight: bold;
}
.card-details {
  color: white;
  width: 100%;
  position: absolute;
  bottom: 0;
  height: 2.6em;
  padding: 0.7em;
  overflow: hidden;
  transition: height 0.8s cubic-bezier(0.23, 1, 0.32, 1);
  -webkit-transition: height 0.8s cubic-bezier(0.23, 1, 0.32, 1);
  -moz-transition: height 0.8s cubic-bezier(0.23, 1, 0.32, 1);
  -ms-transition: height 0.8s cubic-bezier(0.23, 1, 0.32, 1);
  -o-transition: height 0.8s cubic-bezier(0.23, 1, 0.32, 1);
}
.card-image:hover {
  cursor: pointer;
}
.card-link:hover > .card-details {
  height: 5.2em;
}
/* End of second main-content and start of third main-content */
.guide-card-container {
  display: flex;
  justify-content: space-between;
  gap: 1.2em;
}
.guide-card {
  width: 15em;
}
.guide-card-image {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: end;
}
.guide-card-image:hover {
  cursor: pointer;
  opacity: 0.9;
}
.guide-card-title {
  color: white;
  padding: 0.8em;
  font-size: 0.8rem;
  font-weight: 600;
  position: absolute;
}
.guide-card-img {
  width: inherit;
  height: 7.5em;
  object-fit: cover;
  border-radius: 10px;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  -ms-border-radius: 10px;
  -o-border-radius: 10px;
}
.guide-card-description {
  padding: 1em 0;
  font-size: 0.6rem;
}
.guide-card-description:hover {
  cursor: default;
}
/* End of third main-content */
/* Tablet */
@media only screen and (min-device-width: 768px) and (max-device-width: 1024px) {
}
/* Mobile */
@media only screen and (min-device-width: 320px) and (max-device-width: 480px) {
  .main-content {
    width: 90%;
  }
  .card-wrapper {
    width: 48%;
    max-height: 12em;
  }
  .grid-gallery {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
  }
  .card-image {
    width: 48%;
    height: 12em;
  }
  .guide-card-container {
    flex-wrap: wrap;
    justify-content: center;
  }
  .guide-card {
    width: 45%;
  }
}
